<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/


namespace inc_application\link;

class SetupLink {

	public static function get_link($linkcode = false) {
		$link_array = array();
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'RunTime';
		$link_array['runtime'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'RegYun';
		$link_array['reg'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'RegYunDB';
		$link_array['regdb'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'Setting';
		$link_array['setting'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'LinkDemo';
		$link_array['linkdemo'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'SettingDB';
		$link_array['settingdb'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'DownLoadDB';
		$link_array['download'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'DownloadFile';
		$link_array['download_filelist'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'DownloadView';
		$link_array['download_zip'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'InstallDB';
		$link_array['installdb'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'SaveDB';
		$link_array['setupdb'] = espcms_url_out($action_key);
		$action_key['ac'] = 'Setup';
		$action_key['at'] = 'SetupOk';
		$link_array['setup_ok'] = espcms_url_out($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
